CVE-2004-0300
CVSS10.0
发布时间 :2004-11-23 00:00:00
修订时间 :2016-10-17 22:43:27
NMCOES    

[原文]SQL injection vulnerability in Online Store Kit 3.0 allows remote attackers to inject arbitrary SQL and gain unauthorized access via (1) the cat parameter in shop.php, (2) the id parameter in more.php, (3) the cat_manufacturer parameter in shop_by_brand.php, or (4) the id parameter in listing.php.


[CNNVD]Ecommerce Corporation Online Store Kit more.php多个安全漏洞(CNNVD-200411-128)

        
        Ecommerce Corporation Online Store是一款基于WEB的电子购物系统。
        Online Store Kit包含的more.php脚本对用户提交的URI数据缺少充分过滤,远程攻击者可以利用这个漏洞进行SQL注入和跨站脚本攻击。
        more.php脚本对用户提交给'id'参数的数据缺少过滤,攻击者可提交SQL命令,或者恶意脚本代码给这个参数,可造成信息泄露或修改数据库信息。
        

- CVSS (基础分值)

CVSS分值: 10 [严重(HIGH)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:ecommerce_corporation_online:store_kit:3.0_standard
cpe:/a:ecommerce_corporation_online:store_kit:3.0_lite
cpe:/a:ecommerce_corporation_online:store_kit:3.0_pro

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0300
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0300
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200411-128
(官方数据源) CNNVD

- 其它链接及资源

http://marc.info/?l=bugtraq&m=107712117913185&w=2
(UNKNOWN)  BUGTRAQ  20040218 ZH2004-07SA (security advisory): Multiple Sql injection
http://securitytracker.com/alerts/2004/Feb/1009092.html
(UNKNOWN)  SECTRACK  1009092
http://www.securityfocus.com/bid/9676
(VENDOR_ADVISORY)  BID  9676
http://www.securityfocus.com/bid/9687
(VENDOR_ADVISORY)  BID  9687
http://www.systemsecure.org/advisories/ssadvisory16022004.php
(UNKNOWN)  MISC  http://www.systemsecure.org/advisories/ssadvisory16022004.php
http://www.zone-h.org/en/advisories/read/id=3972/
(UNKNOWN)  MISC  http://www.zone-h.org/en/advisories/read/id=3972/
http://xforce.iss.net/xforce/xfdb/15232
(VENDOR_ADVISORY)  XF  onlinestorekit-more-sql-injection(15232)

- 漏洞信息

Ecommerce Corporation Online Store Kit more.php多个安全漏洞
危急 输入验证
2004-11-23 00:00:00 2005-10-20 00:00:00
远程  
        
        Ecommerce Corporation Online Store是一款基于WEB的电子购物系统。
        Online Store Kit包含的more.php脚本对用户提交的URI数据缺少充分过滤,远程攻击者可以利用这个漏洞进行SQL注入和跨站脚本攻击。
        more.php脚本对用户提交给'id'参数的数据缺少过滤,攻击者可提交SQL命令,或者恶意脚本代码给这个参数,可造成信息泄露或修改数据库信息。
        

- 公告与补丁

        厂商补丁:
        Ecommerce Corporation
        ---------------------
        目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:
        
        http://www.ecommerce.com/

- 漏洞信息 (23711)

Ecommerce Corporation Online Store Kit 3.0 More.PHP id Parameter SQL Injection (EDBID:23711)
php webapps
2003-02-17 Verified
0 David Sopas Ferreira
N/A [点击下载]
source: http://www.securityfocus.com/bid/9676/info

Multiple vulnerabilities have been identified in the software due to improper sanitization of user-supplied input. Successful exploitation of these issues could allow an attacker to carry out cross-site scripting and SQL injection attacks via the 'id' parameter of 'more.php' script.

Online Store Kit version 3.0 has been reported to be prone to these issues.

more.php?id='[SQL injection here]&		

- 漏洞信息 (23718)

Ecommerce Corporation Online Store Kit 3.0 shop.php cat Parameter SQL Injection (EDBID:23718)
php webapps
2004-02-18 Verified
0 G00db0y
N/A [点击下载]
source: http://www.securityfocus.com/bid/9687/info

It has been reported that Online Store Kit is prone to multiple SQL injection vulnerabilities. These issues arise due to insufficient sanitation of user-supplied input via the URI.

As a result of this a malicious user may influence database queries in order to view or modify sensitive information, potentially compromising the software or the database. It has been reported that an attacker may be able to disclose the administrator password hash by exploiting this issue.

http://www.example.com/directory/shop.php?cat=[query]		

- 漏洞信息 (23719)

Ecommerce Corporation Online Store Kit 3.0 shop_by_brand.php cat_manufacturer Parameter SQL Injection (EDBID:23719)
php webapps
2004-02-18 Verified
0 G00db0y
N/A [点击下载]
source: http://www.securityfocus.com/bid/9687/info
 
It has been reported that Online Store Kit is prone to multiple SQL injection vulnerabilities. These issues arise due to insufficient sanitation of user-supplied input via the URI.
 
As a result of this a malicious user may influence database queries in order to view or modify sensitive information, potentially compromising the software or the database. It has been reported that an attacker may be able to disclose the administrator password hash by exploiting this issue.

http://www.example.com/directory/lite/shop_by_brand.php?cat_manufacturer=[query]		

- 漏洞信息 (23720)

Ecommerce Corporation Online Store Kit 3.0 listing.php id Parameter SQL Injection (EDBID:23720)
php webapps
2004-02-18 Verified
0 G00db0y
N/A [点击下载]
source: http://www.securityfocus.com/bid/9687/info
  
It has been reported that Online Store Kit is prone to multiple SQL injection vulnerabilities. These issues arise due to insufficient sanitation of user-supplied input via the URI.
  
As a result of this a malicious user may influence database queries in order to view or modify sensitive information, potentially compromising the software or the database. It has been reported that an attacker may be able to disclose the administrator password hash by exploiting this issue.

http://www.example.com/directory/listing.php?id=[query]

		

- 漏洞信息

15446
Online Store Kit shop.php cat Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Exploit Unknown

- 漏洞描述

Online Store Kit contains a flaw that may allow a remote attacker to carry out an SQL injection attack. The issue is due to the 'shop.php' script not properly sanitizing user-supplied input to the 'cat' variable. This may allow a remote attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2004-02-17 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

- 漏洞信息

Ecommerce Corporation Online Store Kit Multiple SQL Injection Vulnerabilities
Input Validation Error 9687
Yes No
2004-02-18 12:00:00 2009-07-12 03:06:00
Disclosure of this issue has been credited to G00db0y.

- 受影响的程序版本

Ecommerce Corporation Online Store Kit 3.0 Standard
Ecommerce Corporation Online Store Kit 3.0 Pro
Ecommerce Corporation Online Store Kit 3.0 Lite

- 漏洞讨论

It has been reported that Online Store Kit is prone to multiple SQL injection vulnerabilities. These issues arise due to insufficient sanitation of user-supplied input via the URI.

As a result of this a malicious user may influence database queries in order to view or modify sensitive information, potentially compromising the software or the database. It has been reported that an attacker may be able to disclose the administrator password hash by exploiting this issue.

- 漏洞利用

No exploit is required to leverage this issue. The following proof of concept has been provided:

http://www.example.com/directory/shop.php?cat=[query]
http://www.example.com/directory/lite/shop_by_brand.php?cat_manufacturer=[query]
http://www.example.com/directory/listing.php?id=[query]

- 解决方案

Currently we are not aware of any vendor-supplied patches for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站